NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::StudioXformBuilderEx Class Reference

Represents a NXOpen::Features::StudioXform builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateStudioXformBuilderEx
Default values. More...

Inheritance diagram for NXOpen::Features::StudioXformBuilderEx:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  AdvancedMethodOptionType { AdvancedMethodOptionTypeProportional, AdvancedMethodOptionTypeLockRegion, AdvancedMethodOptionTypeInsertKnot, AdvancedMethodOptionTypeAdvancedOff }
 Represents the advanced method option type. More...
 
enum  AdvancedMethodType {
  AdvancedMethodTypeProportionalMovement, AdvancedMethodTypeFalloff, AdvancedMethodTypeKeepContinuity, AdvancedMethodTypeLockRegion,
  AdvancedMethodTypeInsertKnot, AdvancedMethodTypeAdvanceOff
}
 Represents the advanced method type
More...
 
enum  ExtrationMethodType { ExtrationMethodTypeOriginal, ExtrationMethodTypeMinimumBounded, ExtrationMethodTypeFittoBoundary }
 B-surface extraction method. More...
 
enum  FeatureType { FeatureTypeRelative, FeatureTypeAbsolute }
 Represents the feature type. More...
 
enum  InsertKnotDirectionType { InsertKnotDirectionTypeUDirection, InsertKnotDirectionTypeVDirection }
 Represents the insert knot direction type. More...
 
enum  InsertPoleType { InsertPoleTypeNext, InsertPoleTypePrevious }
 Represents the insert pole type. More...
 
enum  MovementMethodType {
  MovementMethodTypeWCS, MovementMethodTypeView, MovementMethodTypeVector, MovementMethodTypePlane,
  MovementMethodTypeNormal, MovementMethodTypePolygon
}
 Represents the Xform movement type. More...
 
enum  PlanarizeDirectionType { PlanarizeDirectionTypeU, PlanarizeDirectionTypeV }
 Represents the planarize direction type. More...
 
enum  PlanarizeMethodType { PlanarizeMethodTypeAtPlaneLocation, PlanarizeMethodTypeAtPoleLocation, PlanarizeMethodTypeOnaBestFitPlane }
 Represents the planarize method type. More...
 
enum  PlanarizeProjectionPlaneType { PlanarizeProjectionPlaneTypeYZ, PlanarizeProjectionPlaneTypeXZ, PlanarizeProjectionPlaneTypeXY, PlanarizeProjectionPlaneTypePlane }
 Represents the planarize projection plane type. More...
 
enum  PoleEditType { PoleEditTypeNone, PoleEditTypeConstrained, PoleEditTypeFree }
 Editing types of a pole of spline belonging to a Studio Spline feature. More...
 
enum  PrincipalMovementDirectionType {
  PrincipalMovementDirectionTypeX, PrincipalMovementDirectionTypeY, PrincipalMovementDirectionTypeZ, PrincipalMovementDirectionTypeYZ,
  PrincipalMovementDirectionTypeXZ, PrincipalMovementDirectionTypeXY, PrincipalMovementDirectionTypeXYZ
}
 Represents the principal movement direction type. More...
 
enum  PrincipalRotatingAxisType { PrincipalRotatingAxisTypeX, PrincipalRotatingAxisTypeY, PrincipalRotatingAxisTypeZ }
 Represents the principal rotation axis type. More...
 
enum  PrincipalScalingDirectionType {
  PrincipalScalingDirectionTypeX, PrincipalScalingDirectionTypeY, PrincipalScalingDirectionTypeZ, PrincipalScalingDirectionTypeYZ,
  PrincipalScalingDirectionTypeXZ, PrincipalScalingDirectionTypeXY
}
 Represents the principal scaling direction type. More...
 
enum  ProportionalPoleControlType { ProportionalPoleControlTypeAll, ProportionalPoleControlTypeSelected, ProportionalPoleControlTypeByUV }
 Represents the pole control type in proportional method. More...
 
enum  RotatingAxisType { RotatingAxisTypeWCS, RotatingAxisTypeView, RotatingAxisTypeVector, RotatingAxisTypePlane }
 Represents the rotation axis type. More...
 
enum  RotatingPivotType { RotatingPivotTypeRotateaboutobjectcenter, RotatingPivotTypeRotateaboutselected, RotatingPivotTypeRotateaboutpoint }
 Represents the rotating pivot type. More...
 
enum  ScalingCenterType { ScalingCenterTypeScaleaboutobjectcenter, ScalingCenterTypeScaleaboutselected, ScalingCenterTypeScaleaboutpoint }
 Represents the scaling center type. More...
 
enum  ScalingDirectionType {
  ScalingDirectionTypeWCS, ScalingDirectionTypeView, ScalingDirectionTypeVector, ScalingDirectionTypePlane,
  ScalingDirectionTypePlaneofCurve
}
 Represents the scaling direction type. More...
 
enum  SurfaceDirectionType { SurfaceDirectionTypeU, SurfaceDirectionTypeV }
 Represents the U or V direction of a B-Surface. More...
 
enum  Types { TypesTranslate, TypesRotate, TypesScale, TypesPlanarize }
 Represents the Xform editing type. More...
 

Public Member Functions

NXOpen::Features::StudioXformBuilderEx::AdvancedMethodType AdvancedMethod ()
 Returns the advanced method
More...
 
NXOpen::Features::StudioXformBuilderEx::AdvancedMethodOptionType AdvancedMethodOption ()
 Returns the advanced method
Created in NX8.5.0. More...
 
bool CanUseFaceFinder ()
 Returns the using face finder flag
Created in NX7.5.0. More...
 
void ChangeDegree (NXOpen::NXObject *xformObject)
 Changes degree of the selected xform object
More...
 
void ChangeDegreeWithParameters (NXOpen::NXObject *xformObject, int uDegree, int vDegree, int uPatch, int vPatch)
 Changes degree of the selected xform object with desired parameters
Created in NX8.5.0. More...
 
void ChangeFlexibility (NXOpen::NXObject *xformObject)
 Changes flexibility of the selected xform object
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::ContinuityContinuityUMax ()
 Returns the continuity at U maximum
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::ContinuityContinuityUMin ()
 Returns the continuity at U minimum
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::ContinuityContinuityVMax ()
 Returns the continuity at V maximum
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::ContinuityContinuityVMin ()
 Returns the continuity at V minimum
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::ControlPoleManagerDataControlPoleManager ()
 Returns the control pole manager
Created in NX6.0.0. More...
 
void ConvertParameters (NXOpen::NXObject *xformObject)
 Converts parameters of the feature that owns selected xform object. More...
 
NXOpen::GeometricUtilities::CurveRangeBuilderCurveRange ()
 Returns the curve range
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilderDegreesAndSegmentsOrPatches ()
 Returns the degrees and segments or patches
Created in NX6.0.0. More...
 
void EndLockRegion (NXOpen::NXObject *xformObject)
 End Lock Region operation to the selected xform object
Created in NX8.5.0. More...
 
NXOpen::Features::StudioXformBuilderEx::ExtrationMethodType ExtractMethod ()
 Returns the b-surface extraction method
Created in NX8.5.0. More...
 
double ExtractTolerance ()
 Returns the value indicating a tolerance to be used to extract a b-surface from a selection face
Created in NX7.5.0. More...
 
NXOpen::Features::FaceRecognitionBuilderFaceFinder ()
 Returns the face finder
Created in NX7.5.0. More...
 
void FallOffReset ()
 Reset the fall off scale
Created in NX6.0.0. More...
 
double FallOffScale ()
 Returns the fall off scale
Created in NX6.0.0. More...
 
NXOpen::Features::StudioXformBuilderEx::FeatureType FeatureSaveMethod ()
 Returns the feature save method
Created in NX6.0.0. More...
 
void InsertKnot (NXOpen::NXObject *xformObject)
 Inserts knot in the selected xform object
Created in NX6.0.0. More...
 
NXOpen::Features::StudioXformBuilderEx::InsertKnotDirectionType InsertKnotDirection ()
 Returns the insert knot direction
Created in NX6.0.0. More...
 
int InsertKnotParameter ()
 Returns the parameter where to insert knots
Created in NX6.0.0. More...
 
void InsertKnots ()
 Insert knots
Created in NX6.0.0. More...
 
void InsertPole (NXOpen::NXObject *xformObject, int poleIndex, NXOpen::Features::StudioXformBuilderEx::InsertPoleType insertType, NXOpen::Features::StudioXformBuilderEx::SurfaceDirectionType direction, double location)
 Inserts a pole in the selected xform object
Created in NX8.0.0. More...
 
bool IsSingleSelection ()
 Returns the single selection flag
Created in NX6.0.0. More...
 
bool KeepAllContinuity ()
 Returns a value indicating whether to keep all continuity
Created in NX6.0.0. More...
 
bool LockPoles ()
 Returns a value indicating whether to lock poles in boundary constraints
Created in NX8.5.0. More...
 
void LockRegionNextObject ()
 Move to next object in Lock Region method when more than one objected are in editing
Created in NX8.5.0. More...
 
int LockRegionUEndFlexibility ()
 Returns the lock region flexibility at U end
Created in NX6.0.0. More...
 
int LockRegionUStartFlexibility ()
 Returns the lock region flexibility at U start
Created in NX6.0.0. More...
 
int LockRegionVEndFlexibility ()
 Returns the lock region flexibility at V end
Created in NX6.0.0. More...
 
int LockRegionVStartFlexibility ()
 Returns the lock region flexibility at V start
Created in NX6.0.0. More...
 
NXOpen::PlaneMovementArbitraryPlane ()
 Returns the movement arbitrary plane
Created in NX7.0.0. More...
 
NXOpen::DirectionMovementArbitraryVector ()
 Returns the movement arbitrary vector
Created in NX7.0.0. More...
 
NXOpen::Features::StudioXformBuilderEx::MovementMethodType MovementMethod ()
 Returns the movement method
Created in NX7.0.0. More...
 
NXOpen::PlanePlanarizeArbitraryPlane ()
 Returns the planarize arbitrary plane
Created in NX7.0.0. More...
 
NXOpen::Features::StudioXformBuilderEx::PlanarizeDirectionType PlanarizeDirection ()
 Returns the planarize direction
Created in NX7.0.0. More...
 
NXOpen::Features::StudioXformBuilderEx::PlanarizeMethodType PlanarizeMethod ()
 Returns the planarize method
Created in NX7.0.0. More...
 
NXOpen::Features::StudioXformBuilderEx::PlanarizeProjectionPlaneType PlanarizeProjectionPlane ()
 Returns the planarize projection plane
Created in NX7.0.0. More...
 
NXOpen::Features::StudioXformBuilderEx::PrincipalMovementDirectionType PrincipalMovementDirection ()
 Returns the principal movement direction
Created in NX7.0.0. More...
 
NXOpen::Features::StudioXformBuilderEx::PrincipalRotatingAxisType PrincipalRotatingAxis ()
 Returns the principal rotating axis
Created in NX7.0.0. More...
 
NXOpen::Features::StudioXformBuilderEx::PrincipalScalingDirectionType PrincipalScalingDirection ()
 Returns the principal scaling direction
Created in NX7.0.0. More...
 
bool ProportionalAllU ()
 Returns a value indicating whether to use all poles in U direction during the proportional movement
Created in NX6.0.0. More...
 
bool ProportionalAllV ()
 Returns a value indicating whether to use all poles in V direction during the proportional movement
Created in NX6.0.0. More...
 
double ProportionalFallOffScale ()
 Returns the proportional fall off scale
More...
 
int ProportionalMoveAfterU ()
 Returns a value indicating the pole number after u to participate in the proportional movement
Created in NX6.0.0. More...
 
int ProportionalMoveAfterV ()
 Returns a value indicating the pole number after v to participate in the proportional movement
Created in NX6.0.0. More...
 
int ProportionalMoveBeforeU ()
 Returns a value indicating the pole number before u to participate in the proportional movement
Created in NX6.0.0. More...
 
int ProportionalMoveBeforeV ()
 Returns a value indicating the pole number before v to participate in the proportional movement
Created in NX6.0.0. More...
 
NXOpen::Features::StudioXformBuilderEx::ProportionalPoleControlType ProportionalPoleControlOption ()
 Returns the proportional pole control type
Created in NX8.5.0. More...
 
void ProportionalReset ()
 Reset the proportional scale
More...
 
void RebaseOriginalGeometry (NXOpen::NXObject *xformObject)
 Replaces the original geometry data of an entity with the current deformed geometry data
Created in NX8.0.1. More...
 
void RemovePole (NXOpen::NXObject *xformObject, int poleIndex, NXOpen::Features::StudioXformBuilderEx::SurfaceDirectionType direction)
 Inserts a pole in the selected xform object
Created in NX8.0.0. More...
 
void RestoreParentFace ()
 Restore the parent face of a selection face
Created in NX7.5.2. More...
 
NXOpen::PlaneRotatingArbitraryPlane ()
 Returns the rotating arbitrary plane
Created in NX7.0.0. More...
 
NXOpen::DirectionRotatingArbitraryVector ()
 Returns the rotating arbitrary vector
Created in NX7.0.0. More...
 
NXOpen::Features::StudioXformBuilderEx::RotatingAxisType RotatingAxis ()
 Returns the rotating axis
Created in NX7.0.0. More...
 
NXOpen::Features::StudioXformBuilderEx::RotatingPivotType RotatingPivot ()
 Returns the rotating pivot
Created in NX7.0.0. More...
 
NXOpen::PointRotatingPivotPoint ()
 Returns the rotating pivot point
Created in NX7.0.0. More...
 
NXOpen::PlaneScalingArbitraryPlane ()
 Returns the scaling arbitrary plane
Created in NX7.0.0. More...
 
NXOpen::DirectionScalingArbitraryVector ()
 Returns the scaling arbitrary vector
Created in NX7.0.0. More...
 
NXOpen::Features::StudioXformBuilderEx::ScalingCenterType ScalingCenter ()
 Returns the scaling center
Created in NX7.0.0. More...
 
NXOpen::PointScalingCenterPoint ()
 Returns the scaling center point
Created in NX7.0.0. More...
 
NXOpen::Features::StudioXformBuilderEx::ScalingDirectionType ScalingDirection ()
 Returns the scaling direction
Created in NX7.0.0. More...
 
void SetAdvancedMethod (NXOpen::Features::StudioXformBuilderEx::AdvancedMethodType advancedMethod)
 Sets the advanced method
More...
 
void SetAdvancedMethodOption (NXOpen::Features::StudioXformBuilderEx::AdvancedMethodOptionType advancedMethod)
 Sets the advanced method
Created in NX8.5.0. More...
 
void SetCanUseFaceFinder (bool canUseFaceFinder)
 Sets the using face finder flag
Created in NX7.5.0. More...
 
void SetExtractMethod (NXOpen::Features::StudioXformBuilderEx::ExtrationMethodType extractMethod)
 Sets the b-surface extraction method
Created in NX8.5.0. More...
 
void SetExtractTolerance (double extractTolerance)
 Sets the value indicating a tolerance to be used to extract a b-surface from a selection face
Created in NX7.5.0. More...
 
void SetFallOffScale (double fallOffScale)
 Sets the fall off scale
Created in NX6.0.0. More...
 
void SetFeatureSaveMethod (NXOpen::Features::StudioXformBuilderEx::FeatureType featureSaveMethod)
 Sets the feature save method
Created in NX6.0.0. More...
 
void SetInsertKnotDirection (NXOpen::Features::StudioXformBuilderEx::InsertKnotDirectionType insertKnotDirection)
 Sets the insert knot direction
Created in NX6.0.0. More...
 
void SetInsertKnotParameter (int insertKnotSlider)
 Sets the parameter where to insert knots
Created in NX6.0.0. More...
 
void SetKeepAllContinuity (bool keepAllContinuity)
 Sets a value indicating whether to keep all continuity
Created in NX6.0.0. More...
 
void SetLockPoles (bool lockPoles)
 Sets a value indicating whether to lock poles in boundary constraints
Created in NX8.5.0. More...
 
void SetLockRegionUEndFlexibility (int lockRegionUEndFlexibility)
 Sets the lock region flexibility at U end
Created in NX6.0.0. More...
 
void SetLockRegionUStartFlexibility (int lockRegionUStartFlexibility)
 Sets the lock region flexibility at U start
Created in NX6.0.0. More...
 
void SetLockRegionVEndFlexibility (int lockRegionVEndFlexibility)
 Sets the lock region flexibility at V end
Created in NX6.0.0. More...
 
void SetLockRegionVStartFlexibility (int lockRegionVStartFlexibility)
 Sets the lock region flexibility at V start
Created in NX6.0.0. More...
 
void SetMovementArbitraryPlane (NXOpen::Plane *movementArbitraryPlane)
 Sets the movement arbitrary plane
Created in NX7.0.0. More...
 
void SetMovementArbitraryVector (NXOpen::Direction *movementArbitraryVector)
 Sets the movement arbitrary vector
Created in NX7.0.0. More...
 
void SetMovementMethod (NXOpen::Features::StudioXformBuilderEx::MovementMethodType movementMethod)
 Sets the movement method
Created in NX7.0.0. More...
 
void SetPlanarizeArbitraryPlane (NXOpen::Plane *planarizeArbitraryPlane)
 Sets the planarize arbitrary plane
Created in NX7.0.0. More...
 
void SetPlanarizeDirection (NXOpen::Features::StudioXformBuilderEx::PlanarizeDirectionType planarizeDirection)
 Sets the planarize direction
Created in NX7.0.0. More...
 
void SetPlanarizeMethod (NXOpen::Features::StudioXformBuilderEx::PlanarizeMethodType planarizeMethod)
 Sets the planarize method
Created in NX7.0.0. More...
 
void SetPlanarizeProjectionPlane (NXOpen::Features::StudioXformBuilderEx::PlanarizeProjectionPlaneType planarizeProjectionPlane)
 Sets the planarize projection plane
Created in NX7.0.0. More...
 
void SetPoleEditType (NXOpen::NXObject *xformObject, int index, NXOpen::Features::StudioXformBuilderEx::PoleEditType poleEditType)
 Update pole status of the selected BSpine curve
Created in NX7.5.4. More...
 
void SetPrincipalMovementDirection (NXOpen::Features::StudioXformBuilderEx::PrincipalMovementDirectionType principalMovementDirection)
 Sets the principal movement direction
Created in NX7.0.0. More...
 
void SetPrincipalRotatingAxis (NXOpen::Features::StudioXformBuilderEx::PrincipalRotatingAxisType principalRotatingAxis)
 Sets the principal rotating axis
Created in NX7.0.0. More...
 
void SetPrincipalScalingDirection (NXOpen::Features::StudioXformBuilderEx::PrincipalScalingDirectionType principalScalingDirection)
 Sets the principal scaling direction
Created in NX7.0.0. More...
 
void SetProportionalAllU (bool proportionalAllU)
 Sets a value indicating whether to use all poles in U direction during the proportional movement
Created in NX6.0.0. More...
 
void SetProportionalAllV (bool proportionalAllV)
 Sets a value indicating whether to use all poles in V direction during the proportional movement
Created in NX6.0.0. More...
 
void SetProportionalFallOffScale (double proportionalFallOffScale)
 Sets the proportional fall off scale
More...
 
void SetProportionalMoveAfterU (int proportionalMoveAfterU)
 Sets a value indicating the pole number after u to participate in the proportional movement
Created in NX6.0.0. More...
 
void SetProportionalMoveAfterV (int proportionalMoveAfterV)
 Sets a value indicating the pole number after v to participate in the proportional movement
Created in NX6.0.0. More...
 
void SetProportionalMoveBeforeU (int proportionalMoveBeforeU)
 Sets a value indicating the pole number before u to participate in the proportional movement
Created in NX6.0.0. More...
 
void SetProportionalMoveBeforeV (int proportionalMoveBeforeV)
 Sets a value indicating the pole number before v to participate in the proportional movement
Created in NX6.0.0. More...
 
void SetProportionalPoleControlOption (NXOpen::Features::StudioXformBuilderEx::ProportionalPoleControlType poleControlOption)
 Sets the proportional pole control type
Created in NX8.5.0. More...
 
void SetRotatingArbitraryPlane (NXOpen::Plane *rotatingArbitraryPlane)
 Sets the rotating arbitrary plane
Created in NX7.0.0. More...
 
void SetRotatingArbitraryVector (NXOpen::Direction *rotatingArbitraryVector)
 Sets the rotating arbitrary vector
Created in NX7.0.0. More...
 
void SetRotatingAxis (NXOpen::Features::StudioXformBuilderEx::RotatingAxisType rotatingAxis)
 Sets the rotating axis
Created in NX7.0.0. More...
 
void SetRotatingPivot (NXOpen::Features::StudioXformBuilderEx::RotatingPivotType rotatingPivot)
 Sets the rotating pivot
Created in NX7.0.0. More...
 
void SetRotatingPivotPoint (NXOpen::Point *rotatingPivotPoint)
 Sets the rotating pivot point
Created in NX7.0.0. More...
 
void SetScalingArbitraryPlane (NXOpen::Plane *scalingArbitraryPlane)
 Sets the scaling arbitrary plane
Created in NX7.0.0. More...
 
void SetScalingArbitraryVector (NXOpen::Direction *scalingArbitraryVector)
 Sets the scaling arbitrary vector
Created in NX7.0.0. More...
 
void SetScalingCenter (NXOpen::Features::StudioXformBuilderEx::ScalingCenterType scalingCenter)
 Sets the scaling center
Created in NX7.0.0. More...
 
void SetScalingCenterPoint (NXOpen::Point *scalingCenterPoint)
 Sets the scaling center point
Created in NX7.0.0. More...
 
void SetScalingDirection (NXOpen::Features::StudioXformBuilderEx::ScalingDirectionType scalingDirection)
 Sets the scaling direction
Created in NX7.0.0. More...
 
void SetSingleSelection (bool singleSelectionFlag)
 Sets the single selection flag
Created in NX6.0.0. More...
 
void SetType (NXOpen::Features::StudioXformBuilderEx::Types type)
 Sets the editing type
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::SurfaceRangeBuilderSurfaceRange ()
 Returns the surface range
Created in NX6.0.0. More...
 
NXOpen::Features::StudioXformBuilderEx::Types Type ()
 Returns the editing type
Created in NX6.0.0. More...
 
void UpdateLockRegionGeometry (NXOpen::NXObject *xformObject)
 Update lock region geometry with current geometry
Created in NX6.0.2. More...
 
NXOpen::SelectNXObjectListXformObjects ()
 Returns the object to be transformed. More...
 
NXOpen::GeometricUtilities::OrientXpressBuilderXformOX ()
 Returns the orient express object
Created in NX7.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::StudioXform builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateStudioXformBuilderEx
Default values.

Property Value

AdvancedMethodOption

AdvancedOff

CanUseFaceFinder

0

CurveRange.AnchorPosition

Start

DegreesAndSegmentsOrPatches.Degree

3

DegreesAndSegmentsOrPatches.SegmentsOrPatches

1

DegreesAndSegmentsOrPatches.UDegree

5

DegreesAndSegmentsOrPatches.UPatches

1

DegreesAndSegmentsOrPatches.VDegree

5

DegreesAndSegmentsOrPatches.VPatches

1

ExtractMethod

Original

FaceFinder.CoaxialEnabled

0

FaceFinder.CoplanarAxesEnabled

0

FaceFinder.CoplanarEnabled

0

FaceFinder.EqualDiameterEnabled

0

FaceFinder.OffsetEnabled

0

FaceFinder.ParallelEnabled

0

FaceFinder.PerpendicularEnabled

0

FaceFinder.SymmetricEnabled

0

FaceFinder.TangentEnabled

0

FaceFinder.ThicknessChainEnabled

0

FaceFinder.UseFaceBrowse

1

FallOffScale

0

FeatureSaveMethod

Relative

InsertKnotDirection

UDirection

InsertKnotParameter

20

IsSingleSelection

1

KeepAllContinuity

0

LockPoles

1

LockRegionUEndFlexibility

0

LockRegionUStartFlexibility

0

LockRegionVEndFlexibility

0

LockRegionVStartFlexibility

0

MovementMethod

View

PlanarizeDirection

U

PlanarizeMethod

AtPlaneLocation

PlanarizeProjectionPlane

YZ

PrincipalMovementDirection

Z

PrincipalRotatingAxis

Z

PrincipalScalingDirection

X

ProportionalAllU

1

ProportionalAllV

1

ProportionalFallOffScale (deprecated)

0.5

ProportionalMoveAfterU

0

ProportionalMoveAfterV

0

ProportionalMoveBeforeU

0

ProportionalMoveBeforeV

0

RotatingAxis

WCS

ScalingDirection

View

SurfaceRange.AnchorPosition

Vertex1


Created in NX6.0.0.

Member Enumeration Documentation

Represents the advanced method option type.

Enumerator
AdvancedMethodOptionTypeProportional 

Proportional movement.

AdvancedMethodOptionTypeLockRegion 

Lock region.

AdvancedMethodOptionTypeInsertKnot 

Insert knot.

AdvancedMethodOptionTypeAdvancedOff 

No advanced methods.

Represents the advanced method type

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx::AdvancedMethodOptionType instead.

Enumerator
AdvancedMethodTypeProportionalMovement 

Proportional movement.

AdvancedMethodTypeFalloff 

Fall off, it is deprecated in NX85 release.

AdvancedMethodTypeKeepContinuity 

Keep continuity, it is deprecated in NX85 release.

AdvancedMethodTypeLockRegion 

Lock region.

AdvancedMethodTypeInsertKnot 

Insert knot.

AdvancedMethodTypeAdvanceOff 

Turn off advanced methods.

B-surface extraction method.

Enumerator
ExtrationMethodTypeOriginal 

Extract original surface.

ExtrationMethodTypeMinimumBounded 

Extract minimum bounded surface.

ExtrationMethodTypeFittoBoundary 

Extract surface fitted to boundary of face.

Represents the feature type.

Enumerator
FeatureTypeRelative 

Relative feature type of Xform.

FeatureTypeAbsolute 

Absolute feature type of Xform.

Represents the insert knot direction type.

Enumerator
InsertKnotDirectionTypeUDirection 

Insert knot in U direction.

InsertKnotDirectionTypeVDirection 

Insert knot in V direction.

Represents the insert pole type.

Enumerator
InsertPoleTypeNext 

Insert pole next to the selected pole.

InsertPoleTypePrevious 

Insert pole previous to the selected pole.

Represents the Xform movement type.

Enumerator
MovementMethodTypeWCS 

Translate in principal direction.

MovementMethodTypeView 

Translate in view direction.

MovementMethodTypeVector 

Translate in vector direction.

MovementMethodTypePlane 

Translate on a plane.

MovementMethodTypeNormal 

Translate in normal direction.

MovementMethodTypePolygon 

Translate in polygon direction.

Represents the planarize direction type.

Enumerator
PlanarizeDirectionTypeU 

U direction when planarize.

PlanarizeDirectionTypeV 

V direction when planarize.

Represents the planarize method type.

Enumerator
PlanarizeMethodTypeAtPlaneLocation 

planarize at plane location

PlanarizeMethodTypeAtPoleLocation 

planarize at pole location

PlanarizeMethodTypeOnaBestFitPlane 

planarize at a best fit plane

Represents the planarize projection plane type.

Enumerator
PlanarizeProjectionPlaneTypeYZ 

On Y-Z plane when planarize.

PlanarizeProjectionPlaneTypeXZ 

On X-Z plane when planarize.

PlanarizeProjectionPlaneTypeXY 

On X-Y plane when planarize.

PlanarizeProjectionPlaneTypePlane 

On arbitrary plane when planarize.

Editing types of a pole of spline belonging to a Studio Spline feature.

Enumerator
PoleEditTypeNone 

Not edited.

PoleEditTypeConstrained 

Edited maintaining constraint.

PoleEditTypeFree 

Edited without maintaining constraint.

Represents the principal movement direction type.

Enumerator
PrincipalMovementDirectionTypeX 

Translate in X direction.

PrincipalMovementDirectionTypeY 

Translate in Y direction.

PrincipalMovementDirectionTypeZ 

Translate in Z direction.

PrincipalMovementDirectionTypeYZ 

Translate on Y-Z plane.

PrincipalMovementDirectionTypeXZ 

Translate on X-Z plane.

PrincipalMovementDirectionTypeXY 

Translate on X-Y plane.

PrincipalMovementDirectionTypeXYZ 

Translate on X-Y-Z coordinates.

Represents the principal rotation axis type.

Enumerator
PrincipalRotatingAxisTypeX 

Rotate in X direction.

PrincipalRotatingAxisTypeY 

Rotate in Y direction.

PrincipalRotatingAxisTypeZ 

Rotate in Z direction.

Represents the principal scaling direction type.

Enumerator
PrincipalScalingDirectionTypeX 

Scale in X direction.

PrincipalScalingDirectionTypeY 

Scale in Y direction.

PrincipalScalingDirectionTypeZ 

Scale in Z direction.

PrincipalScalingDirectionTypeYZ 

Scale on Y-Z plane.

PrincipalScalingDirectionTypeXZ 

Scale on X-Z plane.

PrincipalScalingDirectionTypeXY 

Scale on X-Y plane.

Represents the pole control type in proportional method.

Enumerator
ProportionalPoleControlTypeAll 

All poles are moved.

ProportionalPoleControlTypeSelected 

Only selected poles are moved.

ProportionalPoleControlTypeByUV 

Poles on U or V are moved.

Represents the rotation axis type.

Enumerator
RotatingAxisTypeWCS 

Rotate in principal direction.

RotatingAxisTypeView 

Rotate in view direction.

RotatingAxisTypeVector 

Rotate in vector direction.

RotatingAxisTypePlane 

Rotate on a plane.

Represents the rotating pivot type.

Enumerator
RotatingPivotTypeRotateaboutobjectcenter 

Rotate pivot at the object center.

RotatingPivotTypeRotateaboutselected 

Rotate pivot at the selected object.

RotatingPivotTypeRotateaboutpoint 

Rotate pivot at a point.

Represents the scaling center type.

Enumerator
ScalingCenterTypeScaleaboutobjectcenter 

Scale center at the object center.

ScalingCenterTypeScaleaboutselected 

Scale center at the selected object.

ScalingCenterTypeScaleaboutpoint 

Scale center at a point.

Represents the scaling direction type.

Enumerator
ScalingDirectionTypeWCS 

Scale in principal direction.

ScalingDirectionTypeView 

Scale in view direction.

ScalingDirectionTypeVector 

Scale in vector direction.

ScalingDirectionTypePlane 

Scale in plane direction.

ScalingDirectionTypePlaneofCurve 

Scale on Plane of curve.

Represents the U or V direction of a B-Surface.

Enumerator
SurfaceDirectionTypeU 

U direction of a B-Surface.

SurfaceDirectionTypeV 

V direction of a B-Surface.

Represents the Xform editing type.

Enumerator
TypesTranslate 

Translate type of Xform.

TypesRotate 

Rotate type of Xform.

TypesScale 

Scale type of Xform.

TypesPlanarize 

Planarize type of Xform.

Member Function Documentation

NXOpen::Features::StudioXformBuilderEx::AdvancedMethodType NXOpen::Features::StudioXformBuilderEx::AdvancedMethod ( )

Returns the advanced method

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx::AdvancedMethodOption instead.


Created in NX6.0.0.

License requirements : None

NXOpen::Features::StudioXformBuilderEx::AdvancedMethodOptionType NXOpen::Features::StudioXformBuilderEx::AdvancedMethodOption ( )

Returns the advanced method
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::StudioXformBuilderEx::CanUseFaceFinder ( )

Returns the using face finder flag
Created in NX7.5.0.



License requirements : None

void NXOpen::Features::StudioXformBuilderEx::ChangeDegree ( NXOpen::NXObject xformObject)

Changes degree of the selected xform object

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx::ChangeDegreeWithParameters instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to change degree of
void NXOpen::Features::StudioXformBuilderEx::ChangeDegreeWithParameters ( NXOpen::NXObject xformObject,
int  uDegree,
int  vDegree,
int  uPatch,
int  vPatch 
)

Changes degree of the selected xform object with desired parameters
Created in NX8.5.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to change degree of
uDegreethe U degree to change to, valid range is [1, 24]
vDegreethe V degree to change to, valid range is [1, 24]
uPatchthe U patch to change to, valid value is greater than 1
vPatchthe V patch to change to, valid value is greater than 1
void NXOpen::Features::StudioXformBuilderEx::ChangeFlexibility ( NXOpen::NXObject xformObject)

Changes flexibility of the selected xform object
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to change flexibility of
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioXformBuilderEx::ContinuityUMax ( )

Returns the continuity at U maximum
Created in NX6.0.0.



License requirements : None

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioXformBuilderEx::ContinuityUMin ( )

Returns the continuity at U minimum
Created in NX6.0.0.



License requirements : None

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioXformBuilderEx::ContinuityVMax ( )

Returns the continuity at V maximum
Created in NX6.0.0.



License requirements : None

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioXformBuilderEx::ContinuityVMin ( )

Returns the continuity at V minimum
Created in NX6.0.0.



License requirements : None

NXOpen::GeometricUtilities::ControlPoleManagerData* NXOpen::Features::StudioXformBuilderEx::ControlPoleManager ( )

Returns the control pole manager
Created in NX6.0.0.



License requirements : None

void NXOpen::Features::StudioXformBuilderEx::ConvertParameters ( NXOpen::NXObject xformObject)

Converts parameters of the feature that owns selected xform object.

Converts through points studio spline feature to by poles feature, otherwise removes parameters of the feature.
Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to convert pameters from
NXOpen::GeometricUtilities::CurveRangeBuilder* NXOpen::Features::StudioXformBuilderEx::CurveRange ( )

Returns the curve range
Created in NX6.0.0.



License requirements : None

NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilder* NXOpen::Features::StudioXformBuilderEx::DegreesAndSegmentsOrPatches ( )

Returns the degrees and segments or patches
Created in NX6.0.0.



License requirements : None

void NXOpen::Features::StudioXformBuilderEx::EndLockRegion ( NXOpen::NXObject xformObject)

End Lock Region operation to the selected xform object
Created in NX8.5.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to end Lock Region operation of
NXOpen::Features::StudioXformBuilderEx::ExtrationMethodType NXOpen::Features::StudioXformBuilderEx::ExtractMethod ( )

Returns the b-surface extraction method
Created in NX8.5.0.



License requirements : None

double NXOpen::Features::StudioXformBuilderEx::ExtractTolerance ( )

Returns the value indicating a tolerance to be used to extract a b-surface from a selection face
Created in NX7.5.0.



License requirements : None

NXOpen::Features::FaceRecognitionBuilder* NXOpen::Features::StudioXformBuilderEx::FaceFinder ( )

Returns the face finder
Created in NX7.5.0.



License requirements : None

void NXOpen::Features::StudioXformBuilderEx::FallOffReset ( )

Reset the fall off scale
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

double NXOpen::Features::StudioXformBuilderEx::FallOffScale ( )

Returns the fall off scale
Created in NX6.0.0.



License requirements : None

NXOpen::Features::StudioXformBuilderEx::FeatureType NXOpen::Features::StudioXformBuilderEx::FeatureSaveMethod ( )

Returns the feature save method
Created in NX6.0.0.



License requirements : None

void NXOpen::Features::StudioXformBuilderEx::InsertKnot ( NXOpen::NXObject xformObject)

Inserts knot in the selected xform object
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to insert knot in
NXOpen::Features::StudioXformBuilderEx::InsertKnotDirectionType NXOpen::Features::StudioXformBuilderEx::InsertKnotDirection ( )

Returns the insert knot direction
Created in NX6.0.0.



License requirements : None

int NXOpen::Features::StudioXformBuilderEx::InsertKnotParameter ( )

Returns the parameter where to insert knots
Created in NX6.0.0.



License requirements : None

void NXOpen::Features::StudioXformBuilderEx::InsertKnots ( )

Insert knots
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::StudioXformBuilderEx::InsertPole ( NXOpen::NXObject xformObject,
int  poleIndex,
NXOpen::Features::StudioXformBuilderEx::InsertPoleType  insertType,
NXOpen::Features::StudioXformBuilderEx::SurfaceDirectionType  direction,
double  location 
)

Inserts a pole in the selected xform object
Created in NX8.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to insert pole to
poleIndexwhich pole index to begin insert to
insertTypeInsert type
directionU or V direction a pole row on a surface is inserted, pass U direction for a curve
locationa point between 2 poles to indicate where a pole should be inserted, express as %
bool NXOpen::Features::StudioXformBuilderEx::IsSingleSelection ( )

Returns the single selection flag
Created in NX6.0.0.



License requirements : None

bool NXOpen::Features::StudioXformBuilderEx::KeepAllContinuity ( )

Returns a value indicating whether to keep all continuity
Created in NX6.0.0.



License requirements : None

bool NXOpen::Features::StudioXformBuilderEx::LockPoles ( )

Returns a value indicating whether to lock poles in boundary constraints
Created in NX8.5.0.



License requirements : None

void NXOpen::Features::StudioXformBuilderEx::LockRegionNextObject ( )

Move to next object in Lock Region method when more than one objected are in editing
Created in NX8.5.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

int NXOpen::Features::StudioXformBuilderEx::LockRegionUEndFlexibility ( )

Returns the lock region flexibility at U end
Created in NX6.0.0.



License requirements : None

int NXOpen::Features::StudioXformBuilderEx::LockRegionUStartFlexibility ( )

Returns the lock region flexibility at U start
Created in NX6.0.0.



License requirements : None

int NXOpen::Features::StudioXformBuilderEx::LockRegionVEndFlexibility ( )

Returns the lock region flexibility at V end
Created in NX6.0.0.



License requirements : None

int NXOpen::Features::StudioXformBuilderEx::LockRegionVStartFlexibility ( )

Returns the lock region flexibility at V start
Created in NX6.0.0.



License requirements : None

NXOpen::Plane* NXOpen::Features::StudioXformBuilderEx::MovementArbitraryPlane ( )

Returns the movement arbitrary plane
Created in NX7.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::StudioXformBuilderEx::MovementArbitraryVector ( )

Returns the movement arbitrary vector
Created in NX7.0.0.



License requirements : None

NXOpen::Features::StudioXformBuilderEx::MovementMethodType NXOpen::Features::StudioXformBuilderEx::MovementMethod ( )

Returns the movement method
Created in NX7.0.0.



License requirements : None

NXOpen::Plane* NXOpen::Features::StudioXformBuilderEx::PlanarizeArbitraryPlane ( )

Returns the planarize arbitrary plane
Created in NX7.0.0.



License requirements : None

NXOpen::Features::StudioXformBuilderEx::PlanarizeDirectionType NXOpen::Features::StudioXformBuilderEx::PlanarizeDirection ( )

Returns the planarize direction
Created in NX7.0.0.



License requirements : None

NXOpen::Features::StudioXformBuilderEx::PlanarizeMethodType NXOpen::Features::StudioXformBuilderEx::PlanarizeMethod ( )

Returns the planarize method
Created in NX7.0.0.



License requirements : None

NXOpen::Features::StudioXformBuilderEx::PlanarizeProjectionPlaneType NXOpen::Features::StudioXformBuilderEx::PlanarizeProjectionPlane ( )

Returns the planarize projection plane
Created in NX7.0.0.



License requirements : None

NXOpen::Features::StudioXformBuilderEx::PrincipalMovementDirectionType NXOpen::Features::StudioXformBuilderEx::PrincipalMovementDirection ( )

Returns the principal movement direction
Created in NX7.0.0.



License requirements : None

NXOpen::Features::StudioXformBuilderEx::PrincipalRotatingAxisType NXOpen::Features::StudioXformBuilderEx::PrincipalRotatingAxis ( )

Returns the principal rotating axis
Created in NX7.0.0.



License requirements : None

NXOpen::Features::StudioXformBuilderEx::PrincipalScalingDirectionType NXOpen::Features::StudioXformBuilderEx::PrincipalScalingDirection ( )

Returns the principal scaling direction
Created in NX7.0.0.



License requirements : None

bool NXOpen::Features::StudioXformBuilderEx::ProportionalAllU ( )

Returns a value indicating whether to use all poles in U direction during the proportional movement
Created in NX6.0.0.



License requirements : None

bool NXOpen::Features::StudioXformBuilderEx::ProportionalAllV ( )

Returns a value indicating whether to use all poles in V direction during the proportional movement
Created in NX6.0.0.



License requirements : None

double NXOpen::Features::StudioXformBuilderEx::ProportionalFallOffScale ( )

Returns the proportional fall off scale

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx::FallOffScale instead.


Created in NX6.0.0.

License requirements : None

int NXOpen::Features::StudioXformBuilderEx::ProportionalMoveAfterU ( )

Returns a value indicating the pole number after u to participate in the proportional movement
Created in NX6.0.0.



License requirements : None

int NXOpen::Features::StudioXformBuilderEx::ProportionalMoveAfterV ( )

Returns a value indicating the pole number after v to participate in the proportional movement
Created in NX6.0.0.



License requirements : None

int NXOpen::Features::StudioXformBuilderEx::ProportionalMoveBeforeU ( )

Returns a value indicating the pole number before u to participate in the proportional movement
Created in NX6.0.0.



License requirements : None

int NXOpen::Features::StudioXformBuilderEx::ProportionalMoveBeforeV ( )

Returns a value indicating the pole number before v to participate in the proportional movement
Created in NX6.0.0.



License requirements : None

NXOpen::Features::StudioXformBuilderEx::ProportionalPoleControlType NXOpen::Features::StudioXformBuilderEx::ProportionalPoleControlOption ( )

Returns the proportional pole control type
Created in NX8.5.0.



License requirements : None

void NXOpen::Features::StudioXformBuilderEx::ProportionalReset ( )

Reset the proportional scale

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx::FallOffReset instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::StudioXformBuilderEx::RebaseOriginalGeometry ( NXOpen::NXObject xformObject)

Replaces the original geometry data of an entity with the current deformed geometry data
Created in NX8.0.1.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to rebase the geometry data of
void NXOpen::Features::StudioXformBuilderEx::RemovePole ( NXOpen::NXObject xformObject,
int  poleIndex,
NXOpen::Features::StudioXformBuilderEx::SurfaceDirectionType  direction 
)

Inserts a pole in the selected xform object
Created in NX8.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to remove pole from
poleIndexwhich pole index to remove
directionU or V direction a pole row on a surface is removed, pass U direction for a curve
void NXOpen::Features::StudioXformBuilderEx::RestoreParentFace ( )

Restore the parent face of a selection face
Created in NX7.5.2.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Plane* NXOpen::Features::StudioXformBuilderEx::RotatingArbitraryPlane ( )

Returns the rotating arbitrary plane
Created in NX7.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::StudioXformBuilderEx::RotatingArbitraryVector ( )

Returns the rotating arbitrary vector
Created in NX7.0.0.



License requirements : None

NXOpen::Features::StudioXformBuilderEx::RotatingAxisType NXOpen::Features::StudioXformBuilderEx::RotatingAxis ( )

Returns the rotating axis
Created in NX7.0.0.



License requirements : None

NXOpen::Features::StudioXformBuilderEx::RotatingPivotType NXOpen::Features::StudioXformBuilderEx::RotatingPivot ( )

Returns the rotating pivot
Created in NX7.0.0.



License requirements : None

NXOpen::Point* NXOpen::Features::StudioXformBuilderEx::RotatingPivotPoint ( )

Returns the rotating pivot point
Created in NX7.0.0.



License requirements : None

NXOpen::Plane* NXOpen::Features::StudioXformBuilderEx::ScalingArbitraryPlane ( )

Returns the scaling arbitrary plane
Created in NX7.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::StudioXformBuilderEx::ScalingArbitraryVector ( )

Returns the scaling arbitrary vector
Created in NX7.0.0.



License requirements : None

NXOpen::Features::StudioXformBuilderEx::ScalingCenterType NXOpen::Features::StudioXformBuilderEx::ScalingCenter ( )

Returns the scaling center
Created in NX7.0.0.



License requirements : None

NXOpen::Point* NXOpen::Features::StudioXformBuilderEx::ScalingCenterPoint ( )

Returns the scaling center point
Created in NX7.0.0.



License requirements : None

NXOpen::Features::StudioXformBuilderEx::ScalingDirectionType NXOpen::Features::StudioXformBuilderEx::ScalingDirection ( )

Returns the scaling direction
Created in NX7.0.0.



License requirements : None

void NXOpen::Features::StudioXformBuilderEx::SetAdvancedMethod ( NXOpen::Features::StudioXformBuilderEx::AdvancedMethodType  advancedMethod)

Sets the advanced method

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx::SetAdvancedMethodOption instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
advancedMethodadvancedmethod
void NXOpen::Features::StudioXformBuilderEx::SetAdvancedMethodOption ( NXOpen::Features::StudioXformBuilderEx::AdvancedMethodOptionType  advancedMethod)

Sets the advanced method
Created in NX8.5.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
advancedMethodadvancedmethod
void NXOpen::Features::StudioXformBuilderEx::SetCanUseFaceFinder ( bool  canUseFaceFinder)

Sets the using face finder flag
Created in NX7.5.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
canUseFaceFindercanusefacefinder
void NXOpen::Features::StudioXformBuilderEx::SetExtractMethod ( NXOpen::Features::StudioXformBuilderEx::ExtrationMethodType  extractMethod)

Sets the b-surface extraction method
Created in NX8.5.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
extractMethodextractmethod
void NXOpen::Features::StudioXformBuilderEx::SetExtractTolerance ( double  extractTolerance)

Sets the value indicating a tolerance to be used to extract a b-surface from a selection face
Created in NX7.5.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
extractToleranceextracttolerance
void NXOpen::Features::StudioXformBuilderEx::SetFallOffScale ( double  fallOffScale)

Sets the fall off scale
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
fallOffScalefalloffscale
void NXOpen::Features::StudioXformBuilderEx::SetFeatureSaveMethod ( NXOpen::Features::StudioXformBuilderEx::FeatureType  featureSaveMethod)

Sets the feature save method
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
featureSaveMethodfeaturesavemethod
void NXOpen::Features::StudioXformBuilderEx::SetInsertKnotDirection ( NXOpen::Features::StudioXformBuilderEx::InsertKnotDirectionType  insertKnotDirection)

Sets the insert knot direction
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
insertKnotDirectioninsertknotdirection
void NXOpen::Features::StudioXformBuilderEx::SetInsertKnotParameter ( int  insertKnotSlider)

Sets the parameter where to insert knots
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
insertKnotSliderinsertknotslider
void NXOpen::Features::StudioXformBuilderEx::SetKeepAllContinuity ( bool  keepAllContinuity)

Sets a value indicating whether to keep all continuity
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
keepAllContinuitykeepallcontinuity
void NXOpen::Features::StudioXformBuilderEx::SetLockPoles ( bool  lockPoles)

Sets a value indicating whether to lock poles in boundary constraints
Created in NX8.5.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
lockPoleslockpoles
void NXOpen::Features::StudioXformBuilderEx::SetLockRegionUEndFlexibility ( int  lockRegionUEndFlexibility)

Sets the lock region flexibility at U end
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
lockRegionUEndFlexibilitylockregionuendflexibility
void NXOpen::Features::StudioXformBuilderEx::SetLockRegionUStartFlexibility ( int  lockRegionUStartFlexibility)

Sets the lock region flexibility at U start
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
lockRegionUStartFlexibilitylockregionustartflexibility
void NXOpen::Features::StudioXformBuilderEx::SetLockRegionVEndFlexibility ( int  lockRegionVEndFlexibility)

Sets the lock region flexibility at V end
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
lockRegionVEndFlexibilitylockregionvendflexibility
void NXOpen::Features::StudioXformBuilderEx::SetLockRegionVStartFlexibility ( int  lockRegionVStartFlexibility)

Sets the lock region flexibility at V start
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
lockRegionVStartFlexibilitylockregionvstartflexibility
void NXOpen::Features::StudioXformBuilderEx::SetMovementArbitraryPlane ( NXOpen::Plane movementArbitraryPlane)

Sets the movement arbitrary plane
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
movementArbitraryPlanemovementarbitraryplane
void NXOpen::Features::StudioXformBuilderEx::SetMovementArbitraryVector ( NXOpen::Direction movementArbitraryVector)

Sets the movement arbitrary vector
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
movementArbitraryVectormovementarbitraryvector
void NXOpen::Features::StudioXformBuilderEx::SetMovementMethod ( NXOpen::Features::StudioXformBuilderEx::MovementMethodType  movementMethod)

Sets the movement method
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
movementMethodmovementmethod
void NXOpen::Features::StudioXformBuilderEx::SetPlanarizeArbitraryPlane ( NXOpen::Plane planarizeArbitraryPlane)

Sets the planarize arbitrary plane
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
planarizeArbitraryPlaneplanarizearbitraryplane
void NXOpen::Features::StudioXformBuilderEx::SetPlanarizeDirection ( NXOpen::Features::StudioXformBuilderEx::PlanarizeDirectionType  planarizeDirection)

Sets the planarize direction
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
planarizeDirectionplanarizedirection
void NXOpen::Features::StudioXformBuilderEx::SetPlanarizeMethod ( NXOpen::Features::StudioXformBuilderEx::PlanarizeMethodType  planarizeMethod)

Sets the planarize method
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
planarizeMethodplanarizemethod
void NXOpen::Features::StudioXformBuilderEx::SetPlanarizeProjectionPlane ( NXOpen::Features::StudioXformBuilderEx::PlanarizeProjectionPlaneType  planarizeProjectionPlane)

Sets the planarize projection plane
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
planarizeProjectionPlaneplanarizeprojectionplane
void NXOpen::Features::StudioXformBuilderEx::SetPoleEditType ( NXOpen::NXObject xformObject,
int  index,
NXOpen::Features::StudioXformBuilderEx::PoleEditType  poleEditType 
)

Update pole status of the selected BSpine curve
Created in NX7.5.4.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectspline being edited
indexindex of a pole being edited
poleEditTypethe pole edit type
void NXOpen::Features::StudioXformBuilderEx::SetPrincipalMovementDirection ( NXOpen::Features::StudioXformBuilderEx::PrincipalMovementDirectionType  principalMovementDirection)

Sets the principal movement direction
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
principalMovementDirectionprincipalmovementdirection
void NXOpen::Features::StudioXformBuilderEx::SetPrincipalRotatingAxis ( NXOpen::Features::StudioXformBuilderEx::PrincipalRotatingAxisType  principalRotatingAxis)

Sets the principal rotating axis
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
principalRotatingAxisprincipalrotatingaxis
void NXOpen::Features::StudioXformBuilderEx::SetPrincipalScalingDirection ( NXOpen::Features::StudioXformBuilderEx::PrincipalScalingDirectionType  principalScalingDirection)

Sets the principal scaling direction
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
principalScalingDirectionprincipalscalingdirection
void NXOpen::Features::StudioXformBuilderEx::SetProportionalAllU ( bool  proportionalAllU)

Sets a value indicating whether to use all poles in U direction during the proportional movement
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
proportionalAllUproportionalallu
void NXOpen::Features::StudioXformBuilderEx::SetProportionalAllV ( bool  proportionalAllV)

Sets a value indicating whether to use all poles in V direction during the proportional movement
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
proportionalAllVproportionalallv
void NXOpen::Features::StudioXformBuilderEx::SetProportionalFallOffScale ( double  proportionalFallOffScale)

Sets the proportional fall off scale

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx::SetFallOffScale instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
proportionalFallOffScaleproportionalfalloffscale
void NXOpen::Features::StudioXformBuilderEx::SetProportionalMoveAfterU ( int  proportionalMoveAfterU)

Sets a value indicating the pole number after u to participate in the proportional movement
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
proportionalMoveAfterUproportionalmoveafteru
void NXOpen::Features::StudioXformBuilderEx::SetProportionalMoveAfterV ( int  proportionalMoveAfterV)

Sets a value indicating the pole number after v to participate in the proportional movement
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
proportionalMoveAfterVproportionalmoveafterv
void NXOpen::Features::StudioXformBuilderEx::SetProportionalMoveBeforeU ( int  proportionalMoveBeforeU)

Sets a value indicating the pole number before u to participate in the proportional movement
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
proportionalMoveBeforeUproportionalmovebeforeu
void NXOpen::Features::StudioXformBuilderEx::SetProportionalMoveBeforeV ( int  proportionalMoveBeforeV)

Sets a value indicating the pole number before v to participate in the proportional movement
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
proportionalMoveBeforeVproportionalmovebeforev
void NXOpen::Features::StudioXformBuilderEx::SetProportionalPoleControlOption ( NXOpen::Features::StudioXformBuilderEx::ProportionalPoleControlType  poleControlOption)

Sets the proportional pole control type
Created in NX8.5.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
poleControlOptionpolecontroloption
void NXOpen::Features::StudioXformBuilderEx::SetRotatingArbitraryPlane ( NXOpen::Plane rotatingArbitraryPlane)

Sets the rotating arbitrary plane
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
rotatingArbitraryPlanerotatingarbitraryplane
void NXOpen::Features::StudioXformBuilderEx::SetRotatingArbitraryVector ( NXOpen::Direction rotatingArbitraryVector)

Sets the rotating arbitrary vector
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
rotatingArbitraryVectorrotatingarbitraryvector
void NXOpen::Features::StudioXformBuilderEx::SetRotatingAxis ( NXOpen::Features::StudioXformBuilderEx::RotatingAxisType  rotatingAxis)

Sets the rotating axis
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
rotatingAxisrotatingaxis
void NXOpen::Features::StudioXformBuilderEx::SetRotatingPivot ( NXOpen::Features::StudioXformBuilderEx::RotatingPivotType  rotatingPivot)

Sets the rotating pivot
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
rotatingPivotrotatingpivot
void NXOpen::Features::StudioXformBuilderEx::SetRotatingPivotPoint ( NXOpen::Point rotatingPivotPoint)

Sets the rotating pivot point
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
rotatingPivotPointrotatingpivotpoint
void NXOpen::Features::StudioXformBuilderEx::SetScalingArbitraryPlane ( NXOpen::Plane scalingArbitraryPlane)

Sets the scaling arbitrary plane
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
scalingArbitraryPlanescalingarbitraryplane
void NXOpen::Features::StudioXformBuilderEx::SetScalingArbitraryVector ( NXOpen::Direction scalingArbitraryVector)

Sets the scaling arbitrary vector
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
scalingArbitraryVectorscalingarbitraryvector
void NXOpen::Features::StudioXformBuilderEx::SetScalingCenter ( NXOpen::Features::StudioXformBuilderEx::ScalingCenterType  scalingCenter)

Sets the scaling center
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
scalingCenterscalingcenter
void NXOpen::Features::StudioXformBuilderEx::SetScalingCenterPoint ( NXOpen::Point scalingCenterPoint)

Sets the scaling center point
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
scalingCenterPointscalingcenterpoint
void NXOpen::Features::StudioXformBuilderEx::SetScalingDirection ( NXOpen::Features::StudioXformBuilderEx::ScalingDirectionType  scalingDirection)

Sets the scaling direction
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
scalingDirectionscalingdirection
void NXOpen::Features::StudioXformBuilderEx::SetSingleSelection ( bool  singleSelectionFlag)

Sets the single selection flag
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
singleSelectionFlagsingleselectionflag
void NXOpen::Features::StudioXformBuilderEx::SetType ( NXOpen::Features::StudioXformBuilderEx::Types  type)

Sets the editing type
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
typetype
NXOpen::GeometricUtilities::SurfaceRangeBuilder* NXOpen::Features::StudioXformBuilderEx::SurfaceRange ( )

Returns the surface range
Created in NX6.0.0.



License requirements : None

NXOpen::Features::StudioXformBuilderEx::Types NXOpen::Features::StudioXformBuilderEx::Type ( )

Returns the editing type
Created in NX6.0.0.



License requirements : None

void NXOpen::Features::StudioXformBuilderEx::UpdateLockRegionGeometry ( NXOpen::NXObject xformObject)

Update lock region geometry with current geometry
Created in NX6.0.2.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to change flexibility of
NXOpen::SelectNXObjectList* NXOpen::Features::StudioXformBuilderEx::XformObjects ( )

Returns the object to be transformed.

Any face having b-surface type geometry or curve having b-curve geometry can be transformed.
Created in NX6.0.0.

License requirements : None

NXOpen::GeometricUtilities::OrientXpressBuilder* NXOpen::Features::StudioXformBuilderEx::XformOX ( )

Returns the orient express object
Created in NX7.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.